%define section free
%define whichver 1.0

Summary:        Common code for XML projects
Name:           xml-commons
Version:        1.3.02
Release: 	0.b2.7jpp_7fc
Epoch:          0
License:        Apache Software License
URL:            http://xml.apache.org/commons/
Source0:        xml-commons-1.0.b2-RHCLEAN.tar.bz2
Source1:        xml-commons.which.script
Source2:        xml-commons-external-1.3.02-src.tar.gz
# svn export http://svn.apache.org/repos/asf/xml/commons/tags/xml-commons-external-1_3_02/java/external/
Patch0:         xml-commons.build.patch
Patch1:         xml-commons.manifest.patch
Requires:       jpackage-utils >= 0:1.5
BuildRequires:  ant, jpackage-utils >= 0:1.5
BuildRequires:  coreutils
Group:          Text Processing/Markup/XML
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# libgcj aot-compiled native libraries
BuildRequires:  java-gcj-compat-devel >= 1.0.31

%description
xml-commons is focused on common code and guidelines for xml projects.
It's first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things like
the DOM, SAX, and JAXP interfaces.
As the xml-commons community forms, we also hope to serve as a holding
area for other common xml-related utilities and code, and to help
promulgate common packaging, testing, documentation, and other
guidelines across all xml.apache.org subprojects.

%package apis
Summary:        APIs subproject of %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{epoch}:%{version}-%{release}
# libgcj aot-compiled native libraries
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31

%description apis
APIs subproject of %{name}.

%package which
Summary:        Which subproject of %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils >= 0:1.5

%description which
Which subproject of %{name}.

%package apis-manual
Summary:        Manual for %{name}-api
Group:          Text Processing/Markup/XML

%description apis-manual
Manual for %{name}-apis.

%package apis-javadoc
Summary:        Javadoc for %{name}-api
Group:          Development/Documentation
Prereq: coreutils

%description apis-javadoc
Javadoc for %{name}-apis.

%package which-javadoc
Summary:        Javadoc for %{name}-which
Group:          Development/Documentation
Prereq: coreutils

%description which-javadoc
Javadoc for %{name}-which.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{whichver}.b2
%patch0 -p1
%patch1 -p1
# remove all prebuilt stuff
rm -rf java/build
find java/external/build -type f \
    ! -name LICENSE.txt \
    ! -name README.txt \
    -exec rm -f {} \;

# replace external
pushd java
rm -rf external
gzip -dc %{SOURCE2} | tar xf -
popd
# remove all binary libs and prebuilt javadocs
rm -rf `find . -name "*.jar" -not -name 'xml-apis.jar' -o -name "*.gz"`
rm -rf java/build java/external/build/docs/javadoc

# -----------------------------------------------------------------------------

%build
export OPT_JAR_LIST="./java/external/build/xml-apis.jar"
ant jars

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# Jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p java/external/build/xml-apis.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-apis-%{version}.jar
cp -p java/build/which.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-which-%{version}.jar

# Jar versioning
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in %{name}-apis*.jar; do ln -sf ${jar} dom3-${jar}; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# Javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which-%{version}
cp -pr java/external/build/docs/javadoc/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis-%{version}
cp -pr java/build/docs/javadocs/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which-%{version}

ln -s %{name}-apis-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis # ghost symlink
ln -s %{name}-which-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which # ghost symlink

# Scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/xml-which

# prevent apis javadoc from being included in doc
rm -rf java/external/build/docs/javadoc

aot-compile-rpm

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc KEYS README.html

%files apis
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-apis*
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-apis-%{version}.jar.*

%files which
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-which*
%attr(0755,root,root) %{_bindir}/*
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-which-%{version}.jar.*
%{_javadir}/dom3-%{name}-apis*

%files apis-manual
%defattr(0644,root,root,0755)
%doc java/external/build/docs/*
%ghost %{_javadocdir}/%{name}-apis

%files apis-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-apis-%{version}

%files which-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-which-%{version}
%ghost %{_javadocdir}/%{name}-which

# -----------------------------------------------------------------------------

%post apis
%{_bindir}/rebuild-gcj-db

%postun apis
%{_bindir}/rebuild-gcj-db

%post apis-javadoc
rm -f %{_javadocdir}/%{name}-apis
ln -s %{name}-apis-%{version} %{_javadocdir}/%{name}-apis

%postun apis-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-apis
fi

%post which-javadoc
rm -f %{_javadocdir}/%{name}-which
ln -s %{name}-which-%{version} %{_javadocdir}/%{name}-which

%postun which-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-which
fi

# -----------------------------------------------------------------------------

%changelog
* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:1.3.02-0.b2.7jpp_7fc
- stop scriptlet spew

* Wed Feb 22 2006 Rafael Schloming <rafaels@redhat.com> - 0:1.3.02-0.b2.7jpp_6fc
- Updated to 1.3

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:1.0-0.b2.7jpp_5fc
- bump again for double-long bug on ppc(64)

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:1.0-0.b2.7jpp_4fc
- rebuilt again

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Jul 15 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.7jpp_3fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm (also BC-compiles the which jar).

* Wed Jun 15 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.7jpp_2fc
- Remove all prebuilt stuff from the tarball.

* Thu May 26 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.7jpp_1fc
- Upgrade to 1.0-0.b2.7jpp.
- Remove now-unnecessary workaround for #130162.
- Rearrange how BC-compiled stuff is built and installed.

* Mon May 23 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_13fc
- Add alpha to the list of build architectures (#157522).
- Use absolute paths for rebuild-gcj-db.

* Thu May  5 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_12fc
- Add dependencies for %post and %postun scriptlets (#156901).

* Tue May  3 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_11fc
- BC-compile the API jar.

* Tue Apr 26 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_10fc
- Remove gcj endorsed dir support (#155693).

* Mon Apr 25 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_9fc
- Provide a default transformer when running under libgcj.

* Mon Apr 25 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_8fc
- Provide a default DOM builder when running under libgcj (#155693).

* Fri Apr 22 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_7fc
- Provide a default SAX parser when running under libgcj (#155693).

* Thu Apr 21 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_6fc
- Add gcj endorsed dir support.

* Tue Jan 11 2005 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_5fc
- Sync with RHAPS.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_4fc
- Build into Fedora.

* Thu Oct 28 2004 Gary Benson <gbenson@redhat.com> - 0:1.0-0.b2.6jpp_3fc
- Bootstrap into Fedora.

* Fri Oct 1 2004 Andrew Overholt <overholt@redhat.com> - 0:1.0-0.b2.6jpp_3rh
- add coreutils BuildRequires

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> - 0:1.0-0.b2.6jpp_2rh
- RH vacuuming part II

* Tue Mar  2 2004 Frank Ch. Eigler <fche@redhat.com> - 0:1.0-0.b2.6jpp_1rh
- RH vacuuming

* Thu Aug 26 2003 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b2.7jpp
- Build with ant-1.6.2

* Mon May  5 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.0-0.b2.6jpp
- Fix non-versioned javadoc symlinking.

* Mon Apr 21 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.0-0.b2.5jpp
- Fix xml-which script.
- Include non-versioned javadoc symlinks.
- Add Epoch: 0.
- Fix jpackage-utils dependency versions.

* Thu Mar 13 2003 Nicolas Mailhot <Nicolas.Mailhot at jpackage.org> - 1.0-0.b2.4jpp
- For jpackage-utils 1.5

* Wed Nov 13 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0-0.b2.3jpp
- Following upstream changes, resolver is now built from its own package.

* Sun Nov  3 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.b2.2jpp
- Split resolver into its own subpackage.
- Fix Group, Vendor and Distribution tags.
- Use sed instead of bash 2 extension when symlinking jars.
- Add resolver and which shell scripts.

* Thu Jul 11 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-0.b2.1jpp
- 1.0.b2
- get tarball from xml.apache.org
- add macro section

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b1.1jpp
- first jpp release
